"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.iterableToStream = void 0;
const stream = __importStar(require("stream"));
/**
 * Transform an iterable into a node readable stream.
 */
function iterableToStream(src, options = { encoding: 'utf8' }) {
    return new ReadableObservableStream(src, options);
}
exports.iterableToStream = iterableToStream;
class ReadableObservableStream extends stream.Readable {
    constructor(_source, options) {
        super(options);
        this._source = _source;
        this.done = false;
    }
    _read() {
        if (!this.iter) {
            this.iter = this._source[Symbol.iterator]();
        }
        if (this.done) {
            this.push(null);
            return;
        }
        let r = this.iter.next();
        while (!r.done && this.push(r.value)) {
            r = this.iter.next();
        }
        if (r.done) {
            this.done = true;
            // since it is possible for r.value to have something meaningful, we must check.
            if (r.value !== null && r.value !== undefined) {
                this.push(r.value);
            }
            this.push(null);
        }
    }
}
exports.default = iterableToStream;
//# sourceMappingURL=iterableToStream.js.map