export declare function hrTimeToSeconds([seconds, nanoseconds]: number[]): number;
export declare function uniqueFilter<T>(historySize: number): (i: T) => boolean;
export declare function uniqueFilter<T, K>(historySize: number, key: (t: T) => K): (i: T) => boolean;
export declare function batch<T>(i: Iterable<T>, size: number): Iterable<T[]>;
/**
 * Generate a filter function that will remove adjacent values that compare to falsy;
 * @param compare function to evaluate if two values are considered the same.
 */
export declare function filterOrderedList<T>(compare: (a: T, b: T) => boolean | number): (t: T) => boolean;
export declare function isDefined<T>(v: T | undefined): v is T;
/**
 * Remove all `undefined` values from an Object.
 * @param obj
 * @returns the same object.
 */
export declare function cleanObject<T>(obj: T): T;
//# sourceMappingURL=util.d.ts.map